libzypp: zypp::functor Namespace Reference

libzypp 17.38.14

zypp::functor Namespace Reference

## Classes
struct | Collector
| Functor feeding values to an output_iterator. More...
struct | Constant
struct | True
| Logical functor always `true`. More...
struct | False
| Logical functor always `false`. More...
struct | Not
| Logical functor inverting TCondition. More...
struct | Or
| Logical functor chaining TACondition `OR` TBCondition. More...
struct | Chain
| Logical functor chaining TACondition `AND` TBCondition. More...
struct | GetFirst
| Strore the 1st result found in the variable passed to the ctor. More...
struct | GetLast
| Strore the last result found in the variable passed to the ctor. More...
struct | GetAll
| Store all results found to some output_iterator. More...

## Functions
template<class TOutputIterator>
Collector< TOutputIterator > | collector (TOutputIterator iter_r)
| relates: Collector Convenience constructor.
template<class TConst>
Constant< TConst > | constant (const TConst &value)
True | true_c ()
| Convenience function for creating a True.
False | false_c ()
| Convenience function for creating a False.
template<class TCondition>
Not< TCondition > | not_c (TCondition cond_r)
| Convenience function for creating a Not from TCondition.
template<class TACondition, class TBCondition>
Or< TACondition, TBCondition > | or_c (TACondition conda_r, TBCondition condb_r)
| Convenience function for creating a Or from two conditions conda_r OR condb_r.
template<class TACondition, class TBCondition>
Chain< TACondition, TBCondition > | chain (TACondition conda_r, TBCondition condb_r)
| Convenience function for creating a Chain from two conditions conda_r and condb_r.
template<class Tp>
GetFirst< Tp > | getFirst (Tp &result_r)
| Convenience function for creating GetFirst.
template<class Tp>
GetLast< Tp > | getLast (Tp &result_r)
| Convenience function for creating GetLast.
template<class TOutputIterator>
GetAll< TOutputIterator > | getAll (TOutputIterator result_r)
| Convenience function for creating GetAll.

## Function Documentation

## ◆ collector()

template<class TOutputIterator>

Collector< TOutputIterator > zypp::functor::collector | ( | TOutputIterator | iter_r | ) |
| inline

relates: Collector Convenience constructor.

Definition at line 55 of file Collector.h.

## ◆ constant()

template<class TConst>

Constant< TConst > zypp::functor::constant | ( | const TConst & | value | ) |
| inline

Definition at line 75 of file Functional.h.

## ◆ true_c()

True zypp::functor::true_c | ( |  | ) |
| inline

Convenience function for creating a True.

Definition at line 89 of file Functional.h.

## ◆ false_c()

False zypp::functor::false_c | ( |  | ) |
| inline

Convenience function for creating a False.

Definition at line 104 of file Functional.h.

## ◆ not_c()

template<class TCondition>

Not< TCondition > zypp::functor::not_c | ( | TCondition | cond_r | ) |
| inline

Convenience function for creating a Not from TCondition.

Definition at line 127 of file Functional.h.

## ◆ or_c()

template<class TACondition, class TBCondition>

Or< TACondition, TBCondition > zypp::functor::or_c | ( | TACondition | conda_r,
|  | TBCondition | condb_r )
| inline

Convenience function for creating a Or from two conditions conda_r OR condb_r.

Definition at line 156 of file Functional.h.

## ◆ chain()

template<class TACondition, class TBCondition>

Chain< TACondition, TBCondition > zypp::functor::chain | ( | TACondition | conda_r,
|  | TBCondition | condb_r )
| inline

Convenience function for creating a Chain from two conditions conda_r and condb_r.

Definition at line 185 of file Functional.h.

## ◆ getFirst()

template<class Tp>

GetFirst< Tp > zypp::functor::getFirst | ( | Tp & | result_r | ) |

Convenience function for creating GetFirst.

Definition at line 221 of file Functional.h.

## ◆ getLast()

template<class Tp>

GetLast< Tp > zypp::functor::getLast | ( | Tp & | result_r | ) |

Convenience function for creating GetLast.

Definition at line 242 of file Functional.h.

## ◆ getAll()

template<class TOutputIterator>

GetAll< TOutputIterator > zypp::functor::getAll | ( | TOutputIterator | result_r | ) |

Convenience function for creating GetAll.

Definition at line 270 of file Functional.h.